awe.sm Administration API

Deleting a Project

Permanently deletes a project and disables the project's API key within an hour.

POSTapi.awe.sm/projects/{api_key}/destroy

HTTPS is supported on this endpoint.

Note: Users must be disassociated with the project before the project can be deleted. Users can be removed using projects/{api_key}/update .

Required Parameters

Parameter Type Description
api_key string The key of the project you wish to retrieve. Found in project settings.
subscription_key string The key of the subscription that owns the projects being retrieved. Found in subscription settings.
application_key string The key of the application authorized to perform administrative actions on the subscription. Found in application settings.

Example

POST http://api.awe.sm/projects/9x863xx7xx12x56433059xx8091838f5f5589x71x04f4760490x6x79xx9xx681/destroy?subscription_key=sub-xXXxXxxX&application_key=nZurcZ

{
    "request": {
        "apikey": "9x863xx7xx12x56433059xx8091838f5f5589x71x04f4760490x6x79xx9xx681",
        "subscription_key": "sub-xXXxXxxX",
        "application_key": "nZurcZ",
        "object": "project",
        "method": "delete"
    },
    "response": {
        "deleted": true
    }
}

Last updated 2012-01-09